Erro no XAMPP: Unable to load dynamic library

Devido a um bug de configuração em em uma versão recente do XAMPP, que possui PHP 5.3.5, a localização das extensões dll foi definida em um diretório incorreto.

Edite o arquivo php.ini de configuração do PHP aproximadamente na linha 800, informando a localização do diretório de bibliotecas:

Agora é só habilitar as bibliotecas necessárias: